python/python3- setuptools-scm_2.1.0.bb:do_install

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

python/python3- setuptools-scm_2.1.0.bb:do_install

677 Views
RajuKoppada
Contributor I

Hi Experts,

I am trying to build "imx-image-full" image for both imx8mplus, imx8mquad boards and I hit with following error.

I have tried following repos and with all repos I see same issue.

Please help me to resolve this issue. 

Repos I have tried:

repo init -u https://source.codeaurora.org/external/imx/imx-manifest  -b imx-linux-zeus -m imx-5.4.70-2.3.1.xml
repo init -u https://source.codeaurora.org/external/imx/imx-manifest  -b imx-linux-zeus -m imx-5.4.70-2.3.0.xml
repo init -u https://source.codeaurora.org/external/imx/imx-manifest  -b imx-linux-zeus -m imx-5.4.47-2.2.0.xml
repo init -u https://source.codeaurora.org/external/imx/imx-manifest  -b imx-linux-zeus -m imx-5.4.24-2.1.0.xml

 

Error:

 

home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysroot-native$
usr/lib/python3.7/site-packages/setuptools_scm/file_finder.py to file_finder.cpython-37.pyc
| running install_egg_info
| running egg_info
| writing setuptools_scm.egg-info/PKG-INFO
| writing dependency_links to setuptools_scm.egg-info/dependency_links.txt
| writing entry points to setuptools_scm.egg-info/entry_points.txt
| writing top-level names to setuptools_scm.egg-info/top_level.txt
| fatal: Not a valid object name
| Traceback (most recent call last):
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysro
ot-native/usr/lib/python3.7/tarfile.py", line 2287, in next
| tarinfo = self.tarinfo.fromtarfile(self)
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysro
ot-native/usr/lib/python3.7/tarfile.py", line 1095, in fromtarfile
| obj = cls.frombuf(buf, tarfile.encoding, tarfile.errors)
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysro
ot-native/usr/lib/python3.7/tarfile.py", line 1031, in frombuf
| raise EmptyHeaderError("empty header")
| tarfile.EmptyHeaderError: empty header
|
| During handling of the above exception, another exception occurred:
|
| Traceback (most recent call last):
| File "setup.py", line 119, in <module>
| setuptools.setup(**arguments)
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysro
ot-native/usr/lib/python3.7/site-packages/setuptools/__init__.py", line 145, in setup
| return distutils.core.setup(**attrs)
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysro
ot-native/usr/lib/python3.7/distutils/core.py", line 148, in setup
| dist.run_commands()
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysro
ot-native/usr/lib/python3.7/distutils/dist.py", line 966, in run_commands
| self.run_command(cmd)
File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysro
ot-native/usr/lib/python3.7/distutils/dist.py", line 985, in run_command
| cmd_obj.run()
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysr$
ot-native/usr/lib/python3.7/site-packages/setuptools/command/install.py", line 61, in run
| return orig.install.run(self)
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysr$
ot-native/usr/lib/python3.7/distutils/command/install.py", line 557, in run
| self.run_command(cmd_name)
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysr$
ot-native/usr/lib/python3.7/distutils/cmd.py", line 313, in run_command
| self.distribution.run_command(command)
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysr$
ot-native/usr/lib/python3.7/distutils/dist.py", line 985, in run_command
| cmd_obj.run()
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysr$
ot-native/usr/lib/python3.7/site-packages/setuptools/command/install_egg_info.py", line 34, in run
| self.run_command('egg_info')
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysr$
ot-native/usr/lib/python3.7/distutils/cmd.py", line 313, in run_command
| self.distribution.run_command(command)
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysr$
ot-native/usr/lib/python3.7/distutils/dist.py", line 985, in run_command
| cmd_obj.run()
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysr$
ot-native/usr/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 296, in run
| self.find_sources()
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysr$
ot-native/usr/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 303, in find_sources
| mm.run()
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysr$
ot-native/usr/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 534, in run
| self.add_defaults()
File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/rec[19/1875]
ot-native/usr/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 574, in add_defaults
| rcfiles = list(walk_revctrl())
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysro
ot-native/usr/lib/python3.7/site-packages/setuptools/command/sdist.py", line 20, in walk_revctrl
| for item in ep.load()(dirname):
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/setuptools_s
cm-2.1.0/setuptools_scm/integration.py", line 32, in find_files
| res = command(path)
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/setuptools_s
cm-2.1.0/setuptools_scm/file_finder_git.py", line 44, in git_find_files
| git_files, git_dirs = _git_ls_files_and_dirs(toplevel)
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/setuptools_s
cm-2.1.0/setuptools_scm/file_finder_git.py", line 28, in _git_ls_files_and_dirs
| tf = tarfile.open(fileobj=proc.stdout, mode='r|*')
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysro
ot-native/usr/lib/python3.7/tarfile.py", line 1603, in open
| t = cls(name, filemode, stream, **kwargs)
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysro
ot-native/usr/lib/python3.7/tarfile.py", line 1484, in __init__
| self.firstmember = self.next()
| File "/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/build-xwayland/tmp/work/x86_64-linux/python3-setuptools-scm-native/2.1.0-r0/recipe-sysro
ot-native/usr/lib/python3.7/tarfile.py", line 2302, in next
| raise ReadError("empty file")
| tarfile.ReadError: empty file
| WARNING: exit code 1 from a shell command.
|
ERROR: Task (virtual:native:/home/kvraju/imx-yocto-bsp-imx_5_4_70_2_3_0/sources/meta-openembedded/meta-python/recipes-devtools/python/python3-
setuptools-scm_2.1.0.bb:do_install) failed with exit code '1'

 

 

 

0 Kudos
0 Replies